use base::*;

fn main() {
    let lines = read_file("day1.txt");

    let mut sums: Vec<u32> = vec![];
    lines.split(|line|line.is_empty()).for_each(|sub|
        sums.push(sub.iter().map(|line|line.parse::<u32>().expect("Error while parsing")).sum())
    );
    sums.sort();
    sums.reverse();
    let top = &sums[0..=2];

    top.iter().enumerate().for_each(|(index, cal)|
        println!("{}. with value {cal}", index + 1)
    );

    let sum = top.iter().sum::<u32>();
    println!("Sums of top three: {sum}");
}
